#-*- Makefile -*-
require DE_EPAGES::Core::API::Makefile;
__DATA__
#
#	makefile
#
#	Project		:	epages 5
#	Copyright	:	ePages GmbH 2005
#	Version		:	Wed Jan 26 10:37:52 2005
#

CVS_RECURSIVE_ADD= $(PERL) $(EPAGES_CARTRIDGES)/DE_EPAGES/CodeGenerator/Scripts/addCvsRecursive.pl
	
gen:
!ifeq ("$(CVS_BRANCH)","main")
	(cd Generated && cd $(COMPANY) && $(CVS) -Q checkout -d $(CARTRIDGE) $(CVS_PATH))
!else
	(cd Generated && cd $(COMPANY) && $(CVS) -Q checkout -d $(CARTRIDGE) -r B_$(CVS_BRANCH) $(CVS_PATH))
!endif

get_gen:
!ifeq ("$(CVS_BRANCH)","main")
	(cd Generated && cd $(COMPANY) && cd $(CARTRIDGE) && $(CVS) -Q update -d -r generated)
!else
	(cd Generated && cd $(COMPANY) && cd $(CARTRIDGE) && $(CVS) -Q update -d -r B_$(CVS_BRANCH)_gen)
!endif
	
add_gen:
!ifeq ("$(CVS_BRANCH)","main")
	(cd Generated && cd $(COMPANY) && cd $(CARTRIDGE) && $(CVS) -q update -d -r generated)
!else
	(cd Generated && cd $(COMPANY) && cd $(CARTRIDGE) && $(CVS) -q update -d -r B_$(CVS_BRANCH)_gen)
!endif
	(cd Generated && cd $(COMPANY) && cd $(CARTRIDGE) && $(CVS_RECURSIVE_ADD))

merge:
	$(CVS) -q update -d -I Generated
!ifeq ("$(CVS_BRANCH)","main")
	$(CVS) -q update -d -I Generated -j merged -j generated
!else
	$(CVS) -q update -d -I Generated -j M_$(CVS_BRANCH)_gen -j B_$(CVS_BRANCH)_gen
!endif
	$(CVS) -q update -d -I Generated

tag_merged:
!ifeq ("$(CVS_BRANCH)","main")
	(cd Generated && cd $(COMPANY) && cd $(CARTRIDGE) && $(CVS) -q tag -F merged)
!else
	(cd Generated && cd $(COMPANY) && cd $(CARTRIDGE) && $(CVS) -q tag -F M_$(CVS_BRANCH)_gen)
!endif

create_development_branches:
!ifeq ("$(CVS_STARTBRANCH)","main")
	cvs -q update -A -d -P
!else
	cvs -q update -d -r B_$(CVS_STARTBRANCH)
!endif
	cvs -q tag M_$(CVS_BRANCH)
	cvs -q tag A_$(CVS_BRANCH)
	cvs -q tag -b B_$(CVS_BRANCH)
!ifeq ("$(CVS_STARTBRANCH)","main")
	cvs -q update -d -r generated
!else
	cvs -q update -d -r B_$(CVS_STARTBRANCH)_gen
!endif
	cvs -q tag M_$(CVS_BRANCH)_gen
	cvs -q tag A_$(CVS_BRANCH)_gen
	cvs -q tag -b B_$(CVS_BRANCH)_gen
	cvs -q update -d -r B_$(CVS_BRANCH)
	echo Replace at Makefile.PL main $(CVS_BRANCH)

merge_development_branches:
!ifeq ("$(CVS_STARTBRANCH)","main")
	cvs -q update -A -d -P
!else
	cvs -q update -d -r B_$(CVS_STARTBRANCH)
!endif
	cvs -q update -j M_$(CVS_BRANCH) -j B_$(CVS_BRANCH)
	cvs -q commit -m "merged B_$(CVS_BRANCH)"
	cvs -q update -d -r B_$(CVS_BRANCH)
	cvs -q tag -F M_$(CVS_BRANCH)
!ifeq ("$(CVS_STARTBRANCH)","main")
	cvs -q update -d -r generated
!else
	cvs -q update -d -r B_$(CVS_STARTBRANCH)_gen
!endif
	cvs -q update -j M_$(CVS_BRANCH)_gen -j B_$(CVS_BRANCH)_gen
	cvs -q commit -m "merged B_$(CVS_BRANCH)_gen"
	cvs -q update -d -r B_$(CVS_BRANCH)_gen
	cvs -q tag -F M_$(CVS_BRANCH)_gen
	
#
#	END
#
