use Test::Simple tests => 1;

use strict;
use DE_EPAGES::Core::API::Script qw(RunScript);
use DE_EPAGES::RealexPayment::API::Payment;

RunScript(
    Sub => \&Main
);

sub Main {

    # Test GetRealexSha1Hash===================================================
    my $timestamp      = '20121231120000';
    my $merchantId     = 'merchantId';
    my $orderId        = 'orderId';
    my $purchaseAmount = '100';
    my $currency       = 'EUR';
    my $sharedSecret   = 'secret123';

    my $realexHash = DE_EPAGES::RealexPayment::API::Payment::GetRealexSha1Hash(
        [$timestamp, $merchantId, $orderId, $purchaseAmount, $currency],
        $sharedSecret,
    );

    ok( $realexHash eq 'cc6fa0921b644a375b929ad481df66882959f706', 'sha1Hash' );

}